Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000451Frama-CKernelpublic2010-04-13 11:362014-02-12 16:55
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000451: Crash when a 'break' occurs outside a proper statement
DescriptionThe following code causes Frama-C to crash when it is started with the -simplify-cfg option. Cil does not verify that breaks do not occur outside of loops or switches, while it does so for continues.

int main (void) {
  break;
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-04-13 11:36 yakobowski New Issue
2010-04-13 11:46 signoles Status new => assigned
2010-04-13 11:46 signoles Assigned To => virgile
2010-05-31 10:39 svn Checkin
2010-05-31 10:39 svn Status assigned => resolved
2010-05-31 10:39 svn Resolution open => fixed
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker